Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dispatcher.ng
Class PrepareOperations

    java.lang.Object
      org.apache.struts2.dispatcher.ng.PrepareOperations

    public class PrepareOperations

extends Object

Contains preparation operations for a request before execution

Field Summary
`static String` | `CLEANUP_RECURSION_COUNTER`

Constructor Summary
`PrepareOperations(Dispatcher dispatcher)`
`PrepareOperations(javax.servlet.ServletContext servletContext, Dispatcher dispatcher)` Deprecated.

Method Summary
`void` | `assignDispatcherToThread()` Assigns the dispatcher to the dispatcher thread local
`void` | `cleanupDispatcher()` Cleans up the dispatcher instance
`void` | `cleanupRequest(javax.servlet.http.HttpServletRequest request)` Cleans up a request of thread locals
`ActionContext` | `createActionContext(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Creates the action context and initializes the thread local
`ActionMapping` | `findActionMapping(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Finds and optionally creates an `ActionMapping`.
`ActionMapping` | `findActionMapping(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, boolean forceLookup)` Finds and optionally creates an `ActionMapping`.
`boolean` | `isUrlExcluded(javax.servlet.http.HttpServletRequest request, List<Pattern> excludedPatterns)` Check whether the request matches a list of exclude patterns.
`void` | `setEncodingAndLocale(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Sets the request encoding and locale on the response
`javax.servlet.http.HttpServletRequest` | `wrapRequest(javax.servlet.http.HttpServletRequest oldRequest)` Wraps the request with the Struts wrapper that handles multipart requests better

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLEANUP_RECURSION_COUNTER

    public static final String CLEANUP_RECURSION_COUNTER

See Also:
  Constant Field Values

Constructor Detail

### PrepareOperations

    @Deprecated
    public PrepareOperations(javax.servlet.ServletContext servletContext,
                                        Dispatcher dispatcher)

  Deprecated.

### PrepareOperations

    public PrepareOperations(Dispatcher dispatcher)

Method Detail

### createActionContext

    public ActionContext createActionContext(javax.servlet.http.HttpServletRequest request,
                                             javax.servlet.http.HttpServletResponse response)

  Creates the action context and initializes the thread local

### cleanupRequest

    public void cleanupRequest(javax.servlet.http.HttpServletRequest request)

  Cleans up a request of thread locals

### assignDispatcherToThread

    public void assignDispatcherToThread()

  Assigns the dispatcher to the dispatcher thread local

### setEncodingAndLocale

    public void setEncodingAndLocale(javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response)

  Sets the request encoding and locale on the response

### wrapRequest

    public javax.servlet.http.HttpServletRequest wrapRequest(javax.servlet.http.HttpServletRequest oldRequest)
                                                      throws javax.servlet.ServletException

  Wraps the request with the Struts wrapper that handles multipart requests better

  Returns:
    The new request, if there is one
  Throws:
    `javax.servlet.ServletException`

### findActionMapping

    public ActionMapping findActionMapping(javax.servlet.http.HttpServletRequest request,
                                           javax.servlet.http.HttpServletResponse response)

  Finds and optionally creates an `ActionMapping`. It first looks in the current request to see if one has already been found, otherwise, it creates it and stores it in the request. No mapping will be created in the case of static resource requests or unidentifiable requests for other servlets, for example.

### findActionMapping

    public ActionMapping findActionMapping(javax.servlet.http.HttpServletRequest request,
                                           javax.servlet.http.HttpServletResponse response,
                                           boolean forceLookup)

  Finds and optionally creates an `ActionMapping`. if forceLookup is false, it first looks in the current request to see if one has already been found, otherwise, it creates it and stores it in the request. No mapping will be created in the case of static resource requests or unidentifiable requests for other servlets, for example.

  Parameters:
    `forceLookup` - if true, the action mapping will be looked up from the ActionMapper instance, ignoring if there is one in the request or not

### cleanupDispatcher

    public void cleanupDispatcher()

  Cleans up the dispatcher instance

### isUrlExcluded

    public boolean isUrlExcluded(javax.servlet.http.HttpServletRequest request,
                                 List<Pattern> excludedPatterns)

  Check whether the request matches a list of exclude patterns.

  Parameters:
    `request` - The request to check patterns against
    `excludedPatterns` - list of patterns for exclusion
  Returns:
    `true` if the request URI matches one of the given patterns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.